import { HcApi } from "../../request/index";

export default {
    async getList(form) {
        return HcApi({
            url: "/api/blade-manager/trial/param/compaction/page",
            method: "get",
            params: form,
        });
    },

    async getDetail(form) {
        return HcApi({
            url: "/api/blade-manager/trial/param/compaction/detail",
            method: "get",
            params: form,
        });
    },

    async remove(form) {
        return HcApi({
            url: "/api/blade-manager/trial/param/compaction/remove",
            method: "post",
            params: form,
        });
    },
    async submit(form) {
        return HcApi({
            url: "/api/blade-manager/trial/param/compaction/submit",
            method: "post",
            data: form,
        });
    },
    async importParam(form) {
        return HcApi({
            url: "'/api/blade-manager/trial/param/compaction/import-excel",
            method: "post",
            data: form,
        });
    },
};
